SOURCES = dlc.cxx
SUBDIRS = test
DELETABLES = dlc.so

.PHONY : doc

dlc.so : dlc.o
	@echo "  Linking to dlc.so"
	@$(COMPILER) $(SHAREFLAGS) -o dlc.so dlc.o

doc :
	@(cd docsrc; $(MAKE))

realclean : clean
	@if test -d doc; then \
		echo "Removing directory doc"; \
		rm -rf doc; \
	fi

DLCROOT=.
include $(DLCROOT)/config/makefile.inc
